import React from 'react';
import { connect } from 'react-redux';
import Diagnosis from '@components/Diagnosis';
import { SHOW_SEARCH,  HIDE_SEARCH } from '@store/types/diagnosticSearch';

function mapStateToProps(state) {
    return {
        show: state.diagnosticSearch.show,
    }
}

function mapDispatchToProps(dispatch) {
    return {
        showSearch:()=>{
            dispatch({
                type: SHOW_SEARCH
            })
        },
        hideSearch:()=>{
            dispatch({
                type: HIDE_SEARCH
            })
        },
    }
}

const DiagnosisContainer = connect(
    mapStateToProps,
    mapDispatchToProps
)(Diagnosis)

export default DiagnosisContainer;

